Bug 113050 - /usr/lib/tls not owned by package
/usr/lib/tls not owned by package
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: db4 (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-07 14:44 EST by W. Michael Petullo
Modified: 2007-04-18 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-15 22:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-01-07 14:44:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
/usr/lib/tls is not owned by the db4 package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[mike@imp mike]$ rpm -qf /usr/lib/tls
file /usr/lib/tls is not owned by any package
[mike@imp mike]$ rpm -q db4
db4-4.2.52-1

Additional info:

Triage->Easyfix
Comment 1 Jeff Johnson 2004-01-08 11:22:12 EST
/usr/lib/tls should not own /usr/lib/tls. If any pkg should
own the directory, it's glibc.
Comment 2 Jakub Jelinek 2004-01-08 14:49:57 EST
Why glibc? glibc doesn't put anything into this directory.
/usr/lib is not owned by glibc either, but filesystem.
Comment 3 Bill Nottingham 2004-01-15 22:06:56 EST
I'd rather not have to have filesystem populate the entire heirarchy
down to /lib/tls/i686/mmx. I'd prefer to have any libraries that
package libraries in non-standard directories own those directories.
Comment 4 Bill Nottingham 2004-01-15 22:44:11 EST
*/tls added in filesystem-2.2.3-1. Anything else, you're on your own. :)

Note You need to log in before you can comment on or make changes to this bug.